1

I'm trying to install Crypt-SSLeay on a macbook and it failed.

I manually downloaded Crypt-SSLeay from cpan and issued:

 perl Makefile.pl

The error is

openssl-version.c:2:10: fatal error: 'openssl/opensslv.h' file not found
#include <openssl/opensslv.h>
     ^
1 error generated.
Failed to build and link a simple executable using OpenSSL

The file exists and it's located at:

 /usr/local/opt/openssl/include/openssl

How do I go about fixing this, thanks.

migrated from serverfault.com Jun 3 '16 at 22:00

This question came from our site for system and network administrators.

1

Well, after trying other solutions of this and other threads to no avail, I stumbled upon this one-liner that did the trick for me:

$ sudo OPENSSL_INCLUDE=/usr/local/opt/openssl/include OPENSSL_LIB=/usr/local/opt/openssl/lib PERL_MM_USE_DEFAULT=1 perl -MCPAN -e "install Crypt::SSLeay"
0

You might try the following:

$ perl Makefile.PL --incpath /usr/local/opt/openssl/include --libpath /usr/local/opt/openssl/lib

as per the Crypt-SSLeay install docs. (Note that the above assumes that the OpenSSL libraries, libcrypt and libssl, are installed in /usr/local/opt/openssl/lib on your Macbook.)

Hope this helps!

0

I typed this in:

cpanm LWP::Protocol::https

And then installed Crypt-SSLeay using:

cpanm Crypt::SSLeay

And it worked. When I tried to install Crypt::SSLEay before LWP::Protocol::https I got the same error as you originally did.

You must log in to answer this question.